SDL_CopyProperties(3)

NAME
SDL_CopyProperties - Copy a group of properties.

SYNOPSIS
#include <SDL3/SDL_properties.h>

bool SDL_CopyProperties(SDL_PropertiesID src, SDL_PropertiesID dst);

DESCRIPTION
Copy all the properties from one group of properties to another, with the exception of properties requiring cleanup (set using SDL_SetPointerPropertyWithCleanup()), which will not be copied. Any property that already exists on dst will be overwritten.

FUNCTION PARAMETERS

src the properties to copy.

dst the destination properties.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread. This function acquires simultaneous mutex locks on both the source and destination property sets.

AVAILABILITY
This function is available since SDL 3.2.0.